Subject: compile error

From: Ryan Murphy <[email-masked]>
Date: Wed, 20 May 1998 09:26:48 -0500

when I try to build I get the following errors in the "Making ftpd" section
of the build.  If anyone has a suggestion or a fix for this please let me
know.

I am building it on a AIX 4.1.5 machine

thanks in advance.

> ./build aix

make args are : 
make opts are : 

Linking Makefiles.

Making support library.
        cc -O -DDEBUG   -c getusershell.c
        cc -O -DDEBUG   -c fnmatch.c
        cc -O -DDEBUG   -c strcasestr.c
        cc -O -DDEBUG   -c strsep.c
        cc -O -DDEBUG   -c authuser.c
        cc -O -DDEBUG   -c strdup.c
        rm -f libsupport.a
        ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strsep.o
authuser.o strdup.o
        ranlib libsupport.a

Making ftpd.
        cc -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
     554  1500-010: (W) WARNING in main: Infinite loop.  Program may not stop.
        yacc  ftpcmd.y
        mv y.tab.c ftpcmd.c
        cc -O -DDEBUG -I.. -I../support -L../support -c ftpcmd.c
"ftpcmd.y", line 371.18: 1506-045 (S) Undeclared identifier cmdtab.
"ftpcmd.y", line 383.26: 1506-045 (S) Undeclared identifier sitetab.
"ftpcmd.y", line 1057.36: 1506-280 (W) Function argument assignment between
types "void(*)(int)" and "void(*)()" is not allowed.
"ftpcmd.y", line 1519.1: 1506-343 (S) Redeclaration of print_groups differs
from previous declaration on line 683 of "ftpcmd.y".
"ftpcmd.y", line 1519.1: 1506-050 (I) Return type "void" in redeclaration
is not compatible with the previous return type "int".
make: The error code from the last command is 1.

Stop.

Making ftpcount.
        cc -O -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c
vers.o -lsupport
cc: 1501-228 input file vers.o not found
make: The error code from the last command is 252.

Stop.

Making ftpshut.
        cc -O -DDEBUG -I.. -I../support -L../support -o ftpshut ftpshut.c
vers.o -lsupport
cc: 1501-228 input file vers.o not found
make: The error code from the last command is 252.

Stop.

Making ckconfig.
        cc -O -DDEBUG -I.. -I../support -L../support -o ckconfig ckconfig.c
ln: ckconfig exists.  Specify -f to remove.

Links to executables are in bin directory:
size: 0654-304 Cannot open bin/ftpd.
size: 0654-304 Cannot open bin/ftpcount.
size: 0654-304 Cannot open bin/ftpshut.
size: 0654-304 Cannot open bin/ftpwho.
bin/ckconfig: 1460 + 1432 + 16 + 505 = 3413
Done